import { HttpService } from "@nestjs/axios";
import { Observable } from "rxjs";

// import { FisUASRequestMessage } from "../../FisAppQueryModule/message/fis.request.message";
import { ARReceiptDocument, ARReceiptDocumentUnion } from "../entities/ARReceiptDocument";
import { FisCreateMessageUtility } from "../message/fisappmessagejsutility/interface/export";
import { DocumentDataService } from "./Document.dataservice";


export class ARReceiptDocumentDataService extends DocumentDataService {
    
    // static ResponseService: FisUASRequestMessage;
    static ResponseService:FisCreateMessageUtility = new FisCreateMessageUtility("FisAppID/Name")
    
    static data:Record<string,any> = {"serviceId": "Document Data", "parameter": "doccategory=RC,subsystemcode=AR" };

    constructor(http: HttpService, ucpId: string, data= ARReceiptDocumentDataService.data){
        super(http,ucpId, data);
    }


    getData(className,filter,returnFormatType): Observable<typeof ARReceiptDocumentUnion> {

            let message : Array<typeof ARReceiptDocumentUnion> = [];
            let data: ARReceiptDocument[] = [];
 
            return this.getDataWithType(filter,className,message,returnFormatType,data)

    }
    
}