import { GraphQLError } from "graphql";
import { ArgumentMetadata } from "@nestjs/common";

export const formatError = (error: GraphQLError)=>{


        const graphQLFormattedError = {
          message: error.extensions?.response?.message || error.message,
          code: error.extensions?.code || "SERVER_ERROR",
          name: error.extensions?.exception?.name || error.name,
          
        };


        return graphQLFormattedError;
    }