import { HttpService } from "@nestjs/axios";
import { Observable } from "rxjs";

// import { FisUASRequestMessage } from "../../FisAppQueryModule/message/fis.request.message";
import { DocumentUnion } from "../entities/Document";
import { FisCreateMessageUtility } from "../message/fisappmessagejsutility/interface/export";
import { CommonDataService } from "./Common.dataservice";


export class DocumentDataService extends CommonDataService {
    
    // static ResponseService: FisUASRequestMessage;
    static ResponseService:FisCreateMessageUtility = new FisCreateMessageUtility("FisAppID/Name")

    static data:Record<string,any> = {"serviceId": "Document Data", "parameter": "subsystemcode=AP" };

    constructor(http: HttpService, ucpId: string, data= DocumentDataService.data){
        super(http,ucpId, data);
    }


    getData(className,filter,returnFormatType): Observable<typeof DocumentUnion> {
       
            let message : Array<typeof DocumentUnion> = [];
            let data: Document[] = [];
 
            return this.getDataWithType(filter,className,message,returnFormatType,data)


    }
    
}