import { ArgsType, Field, ObjectType } from "@nestjs/graphql";
import { StatusResponse as StatusResponseType } from "../message/fisappmessagejsutility/interface/export";

@ObjectType()
@ArgsType()
export class StatusResponse implements StatusResponseType {
    @Field()
    status: string;

    @Field({nullable: true})
    message?: string;
    
}