import { Field, ObjectType } from '@nestjs/graphql';
import { Phase } from '../../../PlantationSiteOperationModule/phase/phase.entity';

@ObjectType()
export class Site {
  @Field()
  name: string;

  @Field()
  db: string;

  @Field((type) => [Phase])
  phases: Phase[];
}
