import { Controller, Post, Req } from '@nestjs/common';
import { Observable } from 'rxjs';
import { DataServiceMessage } from '../FisAppQueryModule/entities/DataService.entity';

import { DataServiceManager } from '../FisAppQueryModule/Manager.dataservice';

@Controller('CommonServiceChannel')
export class CommonServiceChannelController {
  dataservicemanager: DataServiceManager

  @Post()
  post(@Req() req: any): Promise<DataServiceMessage> {
    let result;
    return new Promise((resolve, reject) => {
      this.dataservicemanager.getDataServiceData(req.body.data.className, req.body.data.filter, req.body.data.returnFormatType, 0).subscribe({
        next: res => {
          result = res;
        },
        complete: () => {
          resolve(result);
        },
        error: e => {
          reject(e)
        }
      })
    })
  }

}
